Transactions

Fetch transaction metadata

get

Use this endpoint to get transaction details by ID or foreign_id. You can only include one of those parameters in your request.

circle-info

Note: You can only request data for transactions that were authorised using your API and secret key.

Authorizations
X-processing-keystringRequired

Your API key.

X-processing-signaturestringRequired

The request body, signed with HMAC-SHA512 with your secret key. You can find the secret key in your account.

Query parameters
idintegerOptional

The transaction's ID in Cryptoprocessing's records.

foreign_idstringOptional

The transaction's unique identifier in your system. You can only find withdrawal transactions by their foreign_id. For deposits, search by id.

Responses
chevron-right
200

OK

application/json
idintegerRequired

Transaction ID.

Example: 2769144
foreign_idstringRequired

This transaction's unique identifier in your system.

Example: withdrawal:823188
typestring · enumRequired

Transaction type.

Example: withdrawalPossible values:
errorstringRequired

If there are any errors, they will be displayed in this parameter.

statusstringRequired

Transaction status.

Example: confirmed
get
/transactions/info
Fetch data by transaction ID

Last updated

Was this helpful?